# Package smesh

Python package smesh defines several classes, destined for easy and clear mesh creation and edition.

Example.

## Data Structures
class | Mesh_Algorithm
| Mother class to define algorithm, recommended to don't use directly. More...
class | Mesh_Segment
| Class to define a segment 1D algorithm for discretization. More...
class | Mesh_Segment_Python
| Class to define a segment 1D algorithm for discretization with python function. More...
class | Mesh_Triangle
| Class to define a triangle 2D algorithm. More...
class | Mesh_Quadrangle
| Class to define a quadrangle 2D algorithm. More...
class | Mesh_Tetrahedron
| Class to define a tetrahedron 3D algorithm. More...
class | Mesh_Hexahedron
| Class to define a hexahedron 3D algorithm. More...
class | Mesh_Netgen
| Class to define a NETGEN-based 2D or 3D algorithm that need no discrete boundary (i.e. More...
class | Mesh
| Class to define a mesh. More...
## Functions
def | GetName
| Gets object name.
def | SetName
| Sets name to object.
def | EnumToLong
| Returns long value from enumeration Uses for SMESH.FunctorType enumeration.
def | GetPointStruct
| Get PointStruct from vertex.
def | GetDirStruct
| Get DirStruct from vector.
def | GetAxisStruct
| Get AxisStruct from object.
def | SetEmbeddedMode
| Set the current mode.
def | IsEmbeddedMode
| Get the current mode.
def | SetCurrentStudy
| Set the current study.
def | GetCurrentStudy
| Get the current study.
def | CreateMeshesFromUNV
| Create Mesh object importing data from given UNV file.
def | CreateMeshesFromMED
| Create Mesh object(s) importing data from given MED file.
def | CreateMeshesFromSTL
| Create Mesh object importing data from given STL file.
def | GetSubShapesId
| From SMESH_Gen interface.
def | GetPattern
| From SMESH_Gen interface.
def | GetEmptyCriterion
| Creates an empty criterion.
def | GetCriterion
| Creates a criterion by given parameters.
def | GetFilter
| Creates filter by given parameters of criterion.
def | GetFunctor
| Creates numerical functor by its type.
## Variables
int | noNETGENPlugin = 0
int | noNETGENPlugin = 1
int | REGULAR = 1
int | PYTHON = 2
int | MEFISTO = 3
int | NETGEN = 4
int | GHS3D = 5
int | FULL_NETGEN = 6
| POINT = SMESH_MeshEditor.POINT
| AXIS = SMESH_MeshEditor.AXIS
| PLANE = SMESH_MeshEditor.PLANE
| LAPLACIAN_SMOOTH = SMESH_MeshEditor.LAPLACIAN_SMOOTH
| CENTROIDAL_SMOOTH = SMESH_MeshEditor.CENTROIDAL_SMOOTH
int | VeryCoarse = 0
int | Coarse = 1
int | Moderate = 2
int | Fine = 3
int | VeryFine = 4
int | Custom = 5
string | NO_NAME = "NoName"
tuple | smesh = salome.lcc.FindOrLoadComponent("FactoryServer", "SMESH")

## Function Documentation

def smesh.GetName | ( |  | obj | ) |

def smesh.SetName | ( |  | obj,
|  |  | name
| ) |

def smesh.EnumToLong | ( |  | theItem | ) |

def smesh.GetPointStruct | ( |  | theVertex | ) |

  | Parameters:
  | theVertex | is GEOM object(vertex)
Returns: SMESH.PointStruct

def smesh.GetDirStruct | ( |  | theVector | ) |

  | Parameters:
  | theVector | is GEOM object(vector)
Returns: SMESH.DirStruct

def smesh.GetAxisStruct | ( |  | theObj | ) |

  | Parameters:
  | theObj | is GEOM object(line or plane)
Returns: SMESH.AxisStruct

def smesh.SetEmbeddedMode | ( |  | theMode | ) |

def smesh.IsEmbeddedMode | ( |  | ) |

def smesh.SetCurrentStudy | ( |  | theStudy | ) |

def smesh.GetCurrentStudy | ( |  | ) |

def smesh.CreateMeshesFromUNV | ( |  | theFileName | ) |

| Returns: an instance of Mesh class

def smesh.CreateMeshesFromMED | ( |  | theFileName | ) |

| Returns: a list of Mesh class instances

def smesh.CreateMeshesFromSTL | ( |  | theFileName | ) |

| Returns: an instance of Mesh class

def smesh.GetSubShapesId | ( |  | theMainObject,
|  |  | theListOfSubObjects
| ) |

def smesh.GetPattern | ( |  | ) |

| Creates pattern

def smesh.GetEmptyCriterion | ( |  | ) |

| Returns: SMESH.Filter.Criterion

def smesh.GetCriterion | ( |  | elementType,
|  |  | CritType,
|  |  | Compare = `FT_EqualTo`,
|  |  | Treshold = `""`,
|  |  | UnaryOp = `FT_Undefined`,
|  |  | BinaryOp = `FT_Undefined`
| ) |

  | Parameters:
  | elementType | is the type of elements(NODE, EDGE, FACE, VOLUME)
  | CritType | is type of criterion( FT_Taper, FT_Area, FT_RangeOfIds, FT_LyingOnGeom etc. )
  | Compare | belong to {FT_LessThan, FT_MoreThan, FT_EqualTo}
  | Treshold | is threshold value (range of ids as string, shape, numeric)
  | UnaryOp | is FT_LogicalNOT or FT_Undefined
  | BinaryOp | is binary logical operation FT_LogicalAND, FT_LogicalOR or FT_Undefined(must be for the last criterion in criteria)
Returns: SMESH.Filter.Criterion

def smesh.GetFilter | ( |  | elementType,
|  |  | CritType = `FT_Undefined`,
|  |  | Compare = `FT_EqualTo`,
|  |  | Treshold = `""`,
|  |  | UnaryOp = `FT_Undefined`
| ) |

  | Parameters:
  | elementType | is the type of elements in the group
  | CritType | is type of criterion( FT_Taper, FT_Area, FT_RangeOfIds, FT_LyingOnGeom etc. )
  | Compare | belong to {FT_LessThan, FT_MoreThan, FT_EqualTo}
  | Treshold | is threshold value (range of id ids as string, shape, numeric)
  | UnaryOp | is FT_LogicalNOT or FT_Undefined
Returns: SMESH_Filter

def smesh.GetFunctor | ( |  | theCriterion | ) |

  | Parameters:
  | theCrierion | is FT_...; functor type
Returns: SMESH_NumericalFunctor

## Variable Documentation

int smesh.noNETGENPlugin = 0`[static]`

int smesh.noNETGENPlugin = 1`[static]`

int smesh.REGULAR = 1`[static]`

int smesh.PYTHON = 2`[static]`

int smesh.MEFISTO = 3`[static]`

int smesh.NETGEN = 4`[static]`

int smesh.GHS3D = 5`[static]`

int smesh.FULL_NETGEN = 6`[static]`

smesh.POINT = SMESH_MeshEditor.POINT`[static]`

smesh.AXIS = SMESH_MeshEditor.AXIS`[static]`

smesh.PLANE = SMESH_MeshEditor.PLANE`[static]`

smesh.LAPLACIAN_SMOOTH = SMESH_MeshEditor.LAPLACIAN_SMOOTH`[static]`

smesh.CENTROIDAL_SMOOTH = SMESH_MeshEditor.CENTROIDAL_SMOOTH`[static]`

int smesh.VeryCoarse = 0`[static]`

int smesh.Coarse = 1`[static]`

int smesh.Moderate = 2`[static]`

int smesh.Fine = 3`[static]`

int smesh.VeryFine = 4`[static]`

int smesh.Custom = 5`[static]`

string smesh.NO_NAME = "NoName"`[static]`

tuple smesh.smesh = salome.lcc.FindOrLoadComponent("FactoryServer", "SMESH")`[static]`